package benefactoraddressservice

import (
	"context"

	param "git.gocasts.ir/ebhomengo/niki/param/benefactor/address"
	richerror "git.gocasts.ir/ebhomengo/niki/pkg/rich_error"
)

func (s Service) Delete(ctx context.Context, req param.DeleteAddressRequest) error {
	const op = "benefactoraddressservice.Delete"

	err := s.repo.DeleteBenefactorAddress(ctx, req.AddressID, req.BenefactorID)
	if err != nil {
		return richerror.New(op).WithErr(err)
	}

	return nil
}
